summarylogtreecommitdiffstats
path: root/xash3d.sh
diff options
context:
space:
mode:
authorM0Rf302022-08-20 15:04:38 +0200
committerM0Rf302022-08-20 15:04:38 +0200
commit42db7af9c0a1cfdaa6a1cea115f7f7d7fe9bdf85 (patch)
tree2f2b2644ace599d75097fbaf520f3623573a2273 /xash3d.sh
parent3b65ed97e3903249c65edf9022b129dcb0bb893c (diff)
downloadaur-xash3d-git.tar.gz
xash3d-git: remove i686 support, remove dedicated build
Diffstat (limited to 'xash3d.sh')
-rw-r--r--xash3d.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/xash3d.sh b/xash3d.sh
new file mode 100644
index 000000000000..6683710fe571
--- /dev/null
+++ b/xash3d.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+. /etc/conf.d/xash3d
+
+DEFAULT_LIBPATH=/usr/lib
+
+if [ ! -d "$XASH3D_BASEDIR" ]; then
+ echo "$XASH3D_BASEDIR not found"
+ exit 1
+fi
+
+if [ ! -f "$XASH3D_BASEDIR/valve/dlls/hl_amd64.so" ]; then
+ ln -sr $DEFAULT_LIBPATH/valve/dlls/hl.so "$XASH3D_BASEDIR"/valve/dlls/hl_amd64.so
+ ln -sr $DEFAULT_LIBPATH/valve/cl_dlls/client.so "$XASH3D_BASEDIR"/valve/cl_dlls/client_amd64.so
+fi
+
+$DEFAULT_LIBPATH/xash3d/xash3d "$@"ยท